@Echo off
color E0
:TempDel
 setlocal

  :TempDelRecall
   Echo.
   Echo ---------------------------------------------
   cd /D "%Temp%"
   dir /W *.*
  :TempDelMnu
   Echo.
   Echo Loeschen aller Dateien des TempDir's
   Echo ------------------------------------------------------------------------
   Echo Computer: \\%ComputerName%
   Echo TempDir : %Temp%
REM    Echo C:\Temp :
   Echo ------------------------------------------------------------------------
   Echo A = Alle Dateien inkl. Unterverzeichnisse in TempDir loeschen
   Echo T = *.tmp in TempDir und allen Unterverzeichnissen loeschen
   Echo E = %TEMP% mit dem Explorer oeffnen
   Echo R = Verzeichniss nochmal anzeigen
   Echo.
   Echo Q = Quit
   Echo.

   SET /P DoNext="waehle Funktion:"

   if /I "%doNext%"=="E" start "" Explorer.exe "%temp%"& Echo Start Exploer in %TEMP%& Pause goto :TempDelMnu
   if /I "%doNext%"=="Q" goto :TempDelEnd
   if /I "%doNext%"=="A" call :TempDelAll
   if /I "%doNext%"=="T" call :TempDelTmpFilesOnly

   goto :TempDelRecall
  :TempDelEnd
 endlocal
 goto :eof


:TempDelAll
 Echo.
 Echo --------------------------------------------------------------------------
 Echo Loesche auf \\%ComputerName% %Temp%\*.*
 rem  del "%Temp%\*.*" /F /S /Q
 rd /s "%temp%"
 if not exist "%temp%" md "%temp%"
 Echo Ende: Loeschen aller Daten in %Temp%
 Pause
 goto :eof

:TempDelTmpFilesOnly
 Echo.
 Echo --------------------------------------------------------------------------
 Echo Loesche auf \\%ComputerName%
 Echo alle *.tmp  "%Temp%\...*.tmp"
 del /F /S /Q "%Temp%\*.tmp"
 goto :eof



